Interface StreamAssetClient<T>
- All Superinterfaces:
Pageable<T>, PageablePost<T>
- All Known Implementing Classes:
StreamAssetClientImpl
-
Method Summary
Modifier and TypeMethodDescriptiondeleteDevice(String streamId, String deviceId) DELETE /fabric/v4/streams/{streamId}/devices/{deviceId}.GET /fabric/v4/streams/{streamId}/devices/{deviceId}.search(FilterPropertyList filter, SortPropertyList sort) POST /fabric/v4/streamAssets/search.updateDevice(String streamId, String deviceId, StreamDevicePutRequest request) PUT /fabric/v4/streams/{streamId}/devices/{deviceId}.Methods inherited from interface PageablePost
nextPageModifier and TypeMethodDescriptionnextPage(PaginatedPostRequest<T> equinixRequest) Fetches the next page for the given POST-search request (its body's pagination has already been advanced by the paging pipeline).
-
Method Details
-
get
-
attach
-
detach
-
search
POST /fabric/v4/streamAssets/search.- Parameters:
filter- the filter, ornullsort- the sort, ornull- Returns:
- the first page
-
getDevice
GET /fabric/v4/streams/{streamId}/devices/{deviceId}.- Parameters:
streamId- the stream uuiddeviceId- the Network Edge device uuid- Returns:
- the device asset
-
updateDevice
PUT /fabric/v4/streams/{streamId}/devices/{deviceId}.- Parameters:
streamId- the stream uuiddeviceId- the Network Edge device uuidrequest- the desired interfaces- Returns:
- the device asset (202)
-
deleteDevice
DELETE /fabric/v4/streams/{streamId}/devices/{deviceId}.- Parameters:
streamId- the stream uuiddeviceId- the Network Edge device uuid- Returns:
- the device asset (202), or
nullon an empty body
-